
#ifndef __SECMEM_H_
#define __SECMEM_H_

/**
 * @file secmem.h
 *
 * Hlavickovy soubor k souboru secmem.c. Publikuje funkce pro praci s knihovnou
 * secmem.dll.
 */


#include <windows.h>



HANDLE SecMemSecureMemory(PVOID StartAddress, ULONG_PTR Size, ULONG ProbeMode);
BOOL SecMemUnsecureMemory(HANDLE SecureHandle);

BOOL SecMemModuleInit(VOID);
VOID SecMemModuleFinit(VOID);



#endif
